Page MenuHomePhabricator

make Affine parallel and yield ops MemRefsNormalizable
ClosedPublic

Authored by adstraw on Feb 16 2021, 4:19 PM.

Details

Summary

Affine parallel ops may contain and yield results from MemRefsNormalizable ops in the loop body. Thus, both affine.parallel and affine.yield should have the MemRefsNormalizable trait.

Diff Detail

Event Timeline

adstraw created this revision.Feb 16 2021, 4:19 PM
adstraw requested review of this revision.Feb 16 2021, 4:19 PM
bondhugula accepted this revision.Feb 20 2021, 8:21 AM

LGTM

Nit: ... also be made to be MemRefsNormalizable -> should have the MemRefsNormalizable trait.

mlir/test/Transforms/normalize-memrefs.mlir
327

Nit: no need of the {{.*}} = LHS part.

This revision is now accepted and ready to land.Feb 20 2021, 8:21 AM
adstraw updated this revision to Diff 325468.Feb 22 2021, 9:17 AM
adstraw edited the summary of this revision. (Show Details)
adstraw marked an inline comment as done.

Thank you @bondhugula.

This revision was automatically updated to reflect the committed changes.